<div class="form-card">
  <h2>NOUVEAU FACESNAP</h2>
  <form [formGroup]="snapForm">
    <div class="form-group">
      <label for="title">Titre</label>
      <input id="title" type="text" formControlName="title">
    </div>
    <div class="form-group">
      <label for="description">Description</label>
      <textarea id="description" type="text" formControlName="description" rows="4">
      </textarea>
    </div>
    <div class="form-group">
      <label for="imageUrl">URL de l'image</label>
      <input id="imageUrl" type="text" formControlName="imageUrl">
  </div>
  <div class="form-group">
      <label for="location">Lieu</label>
      <input id="location" type="text" formControlName="location">
    </div>
    <div class="action-buttons">
      <button type="submit" (click)="onSubmitForm()" [disabled]="snapForm.invalid">Enregistrer</button>
    </div>
  </form>
</div>
<div class="face-snap-card" *ngIf="faceSnapPreview$ | async as faceSnap">
  <h2>{{ faceSnap.title | uppercase }}</h2>
  <p>Mis en ligne {{ faceSnap.createdDate | date: 'à HH:mm, le d MMMM yyyy' }}</p>
  <img [src]="faceSnap.imageUrl" [alt]="faceSnap.title">
  <p>{{ faceSnap.description }}</p>
  <p *ngIf="faceSnap.location">Photo prise à {{ faceSnap.location }}</p>
</div>
